<?php

declare(strict_types=1);

namespace App\Controller\TblCursoUsuario;

use App\Service\TblCursoUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblCursoUsuarioService(): TblCursoUsuarioService
    {
        return $this->container->get('TblCursoUsuario_service');
    }
}
